using UnityEngine;
using System.Collections;

public class KinectMoveScript : MonoBehaviour {
	
	KUInterface kin;
	bool isInitialized = false;
	float distance = 0;
	
	// Use this for initialization
	void Start () {
	
		GameObject kinectContainer = GameObject.FindWithTag("Kinect");
		
		if(kinectContainer != null)
		{
			kin = kinectContainer.GetComponent<KUInterface>();
			isInitialized = true;
		}
	}
	
	// Update is called once per frame
	void Update () 
	{		
		if(!isInitialized) return;
		
		Vector3 leftHandPos = kin.GetJointPos(KinectWrapper.Joints.WRIST_LEFT);
		Vector3 rightHandPos = kin.GetJointPos(KinectWrapper.Joints.WRIST_RIGHT);
		
		float distNew = Vector3.Distance(leftHandPos,rightHandPos) / 1000;
		
		if(distance == 0)
			distance = (distNew *0.95f);
		else
			transform.Rotate(transform.up, distNew - distance);
	}
}
